PCMan X 是在 Linux 系統底下的 PCMan,可說是在 Linux 底下上 BBS 最好的工具之一 (另一款好用的工具是用 Java 開發的 ZTerm )。目前官方網站上最新的是 0.3.6 版,可是卻遲遲還沒收進 Ubuntu 的更新,所以我就照著網頁上的步驟,嘗試自己編譯一個 deb 包。

pcmanx-gtk2_0.3.7-1_i386.deb,這是我第一次嘗試自行編譯,歡迎有興趣的朋友抓回去玩看看,點兩下就會自動安裝了。若是遇到任何問題,也請告訴我要怎麼解決,因為我一定不知道怎麼解的阿 XD
以下是我的編譯過程,給各位想自行嘗試的人參考參考:
  1. 到官網下載最新的 tar.bz2,然後將它解壓縮,會解出一個資料夾。用「終端機」進入這個資料夾。
  2. 輸入底下這些指令:
    ./configure
    make
    sudo checkinstall
一切順利的話,應該就會建立出一個 deb 檔,並自動安裝了。

當然若你之前都沒有自行編譯過程式的話,那你還需要安裝一些工具,根據官網說法,你得安裝這些:
sudo apt-get install libgtk2.0-dev
sudo apt-get install libxft-dev
sudo apt-get install intltool intltool-debian
不過我另外還有安裝這個:
sudo apt-get install build-essential
若你想編譯 SVN 版本,或是 Firefox plugin 版,請自行參考官網的說明。
創作者介紹
創作者 Nelson 的頭像
Nelson

Nelson 的小世界

Nelson 發表在 痞客邦 留言(2) 人氣()


留言列表 (2)

發表留言
  • wumin
  • 是否只要安裝build-essential就可以編譯了?

    sudo apt-get install libgtk2.0-dev
    sudo apt-get install libxft-dev
    sudo apt-get install intltool intltool-debian
    以上這些是否一定要裝呢?只裝build-essential是否可以進行編譯呢?
  • 你可以試看看阿,不過若我沒記錯的話,應該是不行。

    Nelson 於 2007/12/18 20:47 回覆

  • claudck
  • build essential是包涵了gcc, C/C++函式庫, make...etc Compile必須的套件
    官網要求要裝的, 則是PCManX會用到的函式庫套件, 不一樣的喔~~~

    BTW, Debian官方就有收錄PXManX了...XD 快點跳槽吧
  • 至少等我會用 Ubuntu 了再叫我跳槽阿 XD
    我可不想還不會走就想飛阿,先熟悉一種之後再考慮玩其他的

    Nelson 於 2007/12/20 08:06 回覆